package intrinsic.mx.validators;

public class Validator extends intrinsic.flash.events.EventDispatcher implements intrinsic.mx.core.IMXMLObject {

	/** Accessors */
	public intrinsic.flash.events.IEventDispatcher trigger;
	public Object listener;
	public String requiredFieldError;
	public boolean enabled;
	public String property;
	public String triggerEvent;
	public Object source;

	/** Variables */
	public boolean required;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Validator() {
}


/** Static Methods */
public static native intrinsic.Array validateAll(intrinsic.Array arg0);

/** Methods */
public native intrinsic.mx.events.ValidationResultEvent validate();
public native intrinsic.mx.events.ValidationResultEvent validate(Object arg0);
public native intrinsic.mx.events.ValidationResultEvent validate(Object arg0, boolean arg1);
public native void initialized(Object arg0, String arg1);

}
